const express = require('express');
const app = express();
const http = require('http');
const fs = require('fs');
const config = require('./config');

app.get('/', function(req, res) {
    fs.readFile('widgetSearchflight.html',function (err, data){
        res.writeHead(200, {'Content-Type': 'text/html','Content-Length':data.length});
        res.write(data);
        res.end();
    });
});

app.get("/booking", function(req, res) {
    fs.readFile('widgetBooking.html',function (err, data){
        res.writeHead(200, {'Content-Type': 'text/html','Content-Length':data.length});
        res.write(data);
        res.end();
    });
});


const server = app.listen(config.port);

console.log('run in port ' + config.port)
console.log('open url http://127.0.0.1:' + config.port)
